error en vmware en el gcc

Luiso neoannagul en ono.com
Mar Mar 14 20:03:30 GMT 2006


El mar, 14-03-2006 a las 20:41 +0100, jacobo geada escribió:
> Your kernel was built with "gcc" version "3.4.5", while you are trying to use
> "/usr/bin/gcc" version "4.0.2". This configuration is not supported and VMware
> Workstation cannot work in such configuration. Please either recompile your
> kernel with "/usr/bin/gcc" version "4.0.2", or restart /usr/bin/vmware-config.pl
> with CC environment variable pointing to the "gcc" version "3.4.5".
> 
> For more information on how to troubleshoot module-related problems, please
> visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
> "http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".
> 
> Execution aborted.
> 
> 
> Que tengo que hacer para ponerle el otro gcc??? lo tengo instalado
> pero no quiere funcinar dice que uso el 3.5

Si lees bien, te está diciendo que estás usando gcc 4.0.2. Una de las
cosas que puedes hacer es, despues de instalar gcc-3.x, cambiar el
enlace de /etc/alternatives/gcc, y que apunte al correcto. Después de
compilar, vuelve a cambiarlo, para que todo vuelva como antes.

¿Has probado QEMU? El rendimiento es similar que vmware (con el kqemu se
acelera mucho la emulación) y además puede emular otras arquitecturas,
cosa que vmware no hace (bueno, ahora sí emula micros de 64 bits).
Además, es software libre, que es de lo que se trata




Más información sobre la lista de distribución ubuntu-es